org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.exception.hierarchy

## Class CircuitBreakerService

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.exception.hierarchy.CircuitBreakerService

    @ApplicationScoped
    public class CircuitBreakerService
    extends Object

Contains three circuit breaker configurations for testing the interaction between failOn and skipOn

Each test service is replicated several times so that each test uses a separate circuit breaker

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serviceA1(Throwable exception)`
`void` `serviceA2(Throwable exception)`
`void` `serviceA3(Throwable exception)`
`void` `serviceA4(Throwable exception)`
`void` `serviceA5(Throwable exception)`
`void` `serviceA6(Throwable exception)`
`void` `serviceA7(Throwable exception)`
`void` `serviceA8(Throwable exception)`
`void` `serviceA9(Throwable exception)`
`void` `serviceB1(Throwable exception)`
`void` `serviceB2(Throwable exception)`
`void` `serviceB3(Throwable exception)`
`void` `serviceB4(Throwable exception)`
`void` `serviceB5(Throwable exception)`
`void` `serviceB6(Throwable exception)`
`void` `serviceB7(Throwable exception)`
`void` `serviceB8(Throwable exception)`
`void` `serviceB9(Throwable exception)`
`void` `serviceC1(Throwable exception)`
`void` `serviceC2(Throwable exception)`
`void` `serviceC3(Throwable exception)`
`void` `serviceC4(Throwable exception)`
`void` `serviceC5(Throwable exception)`
`void` `serviceC6(Throwable exception)`
`void` `serviceC7(Throwable exception)`
`void` `serviceC8(Throwable exception)`
`void` `serviceC9(Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerService

    public CircuitBreakerService()

### Method Detail

#### serviceA1

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA1(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA2

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA2(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA3

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA3(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA4

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA4(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA5

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA5(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA6

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA6(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA7

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA7(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA8

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA8(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceA9

    @CircuitBreaker(failOn={E0.class,E2.class},
                    skipOn=E1.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceA9(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceB1

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB1(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB2

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB2(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB3

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB3(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB4

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB4(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB5

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB5(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB6

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB6(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB7

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB7(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB8

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB8(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceB9

    @CircuitBreaker(failOn={java.lang.Exception.class,E1.class},
                    skipOn={E0.class,E2.class},
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceB9(Throwable exception)
                                                                                                                                                                                                    throws Throwable

Throws:
  `Throwable`

#### serviceC1

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC1(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC2

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC2(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC3

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC3(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC4

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC4(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC5

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC5(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC6

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC6(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC7

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC7(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC8

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC8(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`

#### serviceC9

    @CircuitBreaker(failOn={E1.class,E2.class},
                    skipOn=E0.class,
                    requestVolumeThreshold=1,
                    delay=20000L)
    public void serviceC9(Throwable exception)
                                                                                                                                                                        throws Throwable

Throws:
  `Throwable`